List
deprecated
List available engine resources for the catalog.
A resource represents a type of data that can be held within the catalog, so this endpoint can be used to see what attribute types can be used when updating the schema of a catalog type.
GET
/
v2
/
catalog_resources
List
curl --request GET \
--url https://api.incident.io/v2/catalog_resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.incident.io/v2/catalog_resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.incident.io/v2/catalog_resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resources": [
{
"category": "custom",
"description": "Boolean true or false value",
"label": "GitHub Repository",
"type": "CatalogEntry[\"01GVGYJSD39FRKVDWACK9NDS4E\"]",
"value_docstring": "Either the GraphQL node ID of the repository or a string of <owner>/<repo>, e.g. incident-io/website"
}
]
}Authorizations
API key from your incident.io dashboard (Settings → API keys)
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Example:
[ { "category": "custom", "description": "Boolean true or false value", "label": "GitHub Repository", "type": "CatalogEntry[\"01GVGYJSD39FRKVDWACK9NDS4E\"]", "value_docstring": "Either the GraphQL node ID of the repository or a string of <owner>/<repo>, e.g. incident-io/website" } ]
Was this page helpful?
⌘I
List
